import App

def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 238.0 / 255.0, 205.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(159.0 / 255.0, 92.0 / 255.0, 44.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/JLSPrommyPhotonCore.tga",
					kCoreColor, 
					0.1,
					2.0,	 
					"data/textures/tactical/JLSPrommyPhotonGlow.tga", 
					kGlowColor,
					2.0,	
					0.14,	 
					0.24,	
					"data/textures/tactical/JLSPrommyPhotonFlares.tga",
					kGlowColor,										
					9,		
					0.8,		
					0.2)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(25.0)

def GetLaunchSound():
	return("JLSPrommy")

def GetPowerCost():
	return(20.0)

def GetName():
	return("Photon Torpedo")

def GetDamage():
	return 1000.0

def GetGuidanceLifetime():
	return 12.0

def GetMaxAngularAccel():
	return 20.3
